package com.madeu.service.web.webeventdiet;

import org.springframework.web.multipart.MultipartFile;

import java.util.HashMap;

public interface WebEventDietService {
    public HashMap<String, Object> selectListWebEventDietIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListWebEventDiet(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectWebEventDiet(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> uploadFile(HashMap<String, Object> paramMap, MultipartFile file) throws Exception;
    public HashMap<String, Object> insertWebEventDietIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> insertWebEventDiet(HashMap<String, Object> paramMap, MultipartFile file, MultipartFile content_file) throws Exception;
    
    public HashMap<String, Object> updateWebEventDietIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> updateWebEventDiet(HashMap<String, Object> paramMap, MultipartFile file, MultipartFile content_file) throws Exception;
    public HashMap<String, Object> deleteWebEventDiet(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListEventOption(HashMap<String, Object> paramMap) throws Exception;
}
